org.eclipse.ease.lang.unittest.ui.editor

## Class TestSuiteEditorActionBarContributor

- java.lang.Object
- - org.eclipse.ui.part.EditorActionBarContributor
  - - org.eclipse.ui.part.MultiPageEditorActionBarContributor
    - - org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
      - - org.eclipse.ease.lang.unittest.ui.editor.TestSuiteEditorActionBarContributor

All Implemented Interfaces:
  IMenuListener, IEditorActionBarContributor, IPropertyListener

    public class TestSuiteEditorActionBarContributor
    extends org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor

### Field Summary

### Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor

`ADDITIONS_LAST_STYLE`

### Constructor Summary

Constructors
Constructor and Description
`TestSuiteEditorActionBarContributor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate()`
`TestSuiteEditor` `getActiveEditor()`

### Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor

`contributeToMenu, contributeToStatusLine, contributeToToolBar, deactivate, init, menuAboutToShow, propertyChanged, setActiveEditor, setActivePage, setActiveView, shareGlobalActions, update`

### Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor

`contributeToCoolBar, dispose, getActionBars, getPage, init`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestSuiteEditorActionBarContributor

    public TestSuiteEditorActionBarContributor()

### Method Detail

#### getActiveEditor

    public TestSuiteEditor getActiveEditor()

Overrides:
  `getActiveEditor` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

#### activate

    public void activate()

Overrides:
  `activate` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`